// Servo Button control Program
// Control of a Servo Motor
// Most Servo angle range from 0 to 180 which is a 180 degree limit 
// Some are limited to 45 to 135 which is a 90 degree limit 

#include <Servo.h>

Servo myservo1;  // create servo object to control a servo 

int pos1 = 45;  // variable to store the servo position 


int button1 = 3;   //button variables
int button2 = 4;


int delaytime = 15;

int buttonState1 = 0;  // variable for reading the pushbutton status
int buttonState2 = 0;


// variables will change:
void setup() {
  
  pinMode(button1, INPUT);     
  pinMode(button2, INPUT);

  myservo1.attach(9);  // attaches the servo on pin 9 to the servo object. 

}

void loop(){
  
  buttonState1 = digitalRead(button1);
  buttonState2 = digitalRead(button2);

  if (buttonState1 == HIGH) {
    forward1();    
  } 

  if (buttonState2 == HIGH) {
    backward1();
  } 

}
  

void forward1 ()
{
  if(pos1 < 134){
  pos1 += 1;
  myservo1.write(pos1);
  delay(delaytime);
  }
}
void backward1 ()
{
  if(pos1 > 46){
  pos1 -= 1;
  myservo1.write(pos1);
  delay(delaytime);
  }
}



